<?php
defined('_JEXEC') or die('Restricted access');

/**
 * This is a file to add template specific chrome to module rendering.  To use it you would
 * set the style attribute for the given module(s) include in your template to use the style
 * for each given modChrome function.
 *
 * eg.  To render a module mod_test in the sliders style, you would use the following include:
 * <jdoc:include type="module" name="test" style="slider" />
 *
 * This gives template designers ultimate control over how modules are rendered.
 *
 * NOTICE: All chrome wrapping methods should be named: modChrome_{STYLE} and take the same
 * three arguments.
 */


function modChrome_rightgrey($module, &$params, &$attribs)
{
	if (!empty ($module->content)) : ?>
		<div class="rightgrey<?php echo $params->get('moduleclass_sfx'); ?>">
            <div>
		<div>
            <div>
			<?php if ($module->showtitle) : ?>
				<h3><?php echo $module->title; ?></h3>
			<?php endif; ?>
			<?php echo $module->content; ?>
		</div>
            </div>
		</div>
            </div>

	<?php endif;
}

function modChrome_modcontent($module, &$params, &$attribs)
{
	if (!empty ($module->content)) : ?>
		<div class="modcontent<?php echo $params->get('moduleclass_sfx'); ?>">
            <div>
		<div>
            <div>
			<?php if ($module->showtitle) : ?>
				<h2><?php echo $module->title; ?></h2>
			<?php endif; ?>
			<?php echo $module->content; ?>
		</div>
            </div>
		</div>
            </div>

	<?php endif;
}