<?php
/**
 * @copyright Copyright (C) 2005 - 2007 Open Source Matters. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/bizuniverse/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/bizuniverse/css/frontpage.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/bizuniverse/css/<?php echo $this->params->get('color'); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/bizuniverse/css/<?php echo $this->params->get('width'); ?>.css" type="text/css" />

<?php
     $view = JRequest::getVar('view');
     $option = JRequest::getCmd('option');
     
     if( ($this->params->get('showTopBlockFrontpage') && $view == 'frontpage')
          || ($this->params->get('showTopBlockCom_Newsfeeds') && $option == 'com_newsfeeds')
          || ($this->params->get('showTopBlockCom_Weblinks') && $option == 'com_weblinks')
          || ($this->params->get('showTopBlockArticle') && $view == 'article')
          || ($this->params->get('showTopBlockCategory') && $view == 'category')
          || ($this->params->get('showTopBlockSection') && $view == 'section') 
          || ($this->params->get('showTopBlockNewsfeed') && $view == 'newsfeed')
          || ($this->params->get('showTopBlockWrapper') && $view == 'wrapper') ){
     $show_top = ($this->countModules('top') == 0);
} else {  
     $show_top = ($this->countModules('top') == 1); 
}?>


<!--[if lt IE 6]>
  <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/bizuniverse/css/ie5.css" type="text/css" />
<![endif]-->
<!--[if IE 6.0000]>
  <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/bizuniverse/css/ie6.css" type="text/css" />
<![endif]-->

</head>

<body id="body">

<div id="body_br">

<div id="center_left">
<div id="center">
<div id="logo"><a href="<?php echo JURI::base(); ?>"><img src="<?php echo $this->baseurl ?>/templates/bizuniverse/images/trans.gif" alt="<?php echo JText::_('Main page'); ?>" id="imglogo"/></a></div>

              
<div id="topnavarea">
<?php if($this->countModules('user3')) : ?>
<jdoc:include type="modules" name="user3" />
<?php endif; ?>
</div> 

                
<?php if($show_top == "true") : ?>
<div id="checkmate"></div>
<div id="top_nf">
<div id="div_nf">            
<jdoc:include type="modules" name="top" style="xhtml"/>
</div>                     
</div>
<?php endif; ?>
	             
                
<div id="allcontent"> 
<div id="content">                  

                  <div id="leftcol">
                  <jdoc:include type="modules" name="left" style="xhtml"/>
                  </div>
            
 <?php if($this->countModules('right')) { ?>
                      <div id="rightcol">

                      <jdoc:include type="modules" name="user2" style="rightgrey"/>
                      <jdoc:include type="modules" name="right" style="rounded"/>
                      
                      </div>

                  <div id="text"> 
 <? } else {  ?>            
                  <div id="text_noright"> 
 <? } ?>               
                  <div id="pw"><jdoc:include type="module" name="breadcrumbs" /></div>
                               <jdoc:include type="modules" name="user1" style="modcontent"/>

                  <div class="maincol">

<?php if ($this->getBuffer('message')) : ?>
<jdoc:include type="message" />
<?php endif; ?>

<?php if($this->params->get('showComponent')) : ?>
	<jdoc:include type="component" />
<?php endif; ?>
                  </div> 
    

      
<?php if($this->countModules('bottom')) : ?>


                      <div>
                      <jdoc:include type="modules" name="bottom" style="modcontent"/>
                      </div>
                      
<?php endif; ?>

<?php if($this->countModules('banner')) : ?>


                      <div align="center">
                      <jdoc:include type="modules" name="banner" style="raw"/>
                      </div>
                      
<?php endif; ?>

</div>
                      
</div>       


                <div class="foot">
                <div class="footer_left">
<?php 
echo"<p>
".JText::_('All Rights Reserved').' '. JHTML::Date( 'now', '%Y' ) . " <br />
".JText::_('All content  are protected by the copyright law and may not be copied')."<br />
".JText::_('without the express permission and the active reference to a source!')."
</p>";
?>                
                </div>
                <div class="footer_right">
<p>
<?php if($this->countModules('right')) : ?>
<jdoc:include type="modules" name="syndicate" />
<?php endif; ?>
<br />
 <?php echo JText::_('Powered by');?> <a href="http://www.joomla.org">Joomla</a> | <a href="http://mambasana.ru"><?php echo JText::_('Designed by');?> raduga</a>
</p>
</div>  
                </div>
                </div>
                </div>
                </div>
                </div>
                
         
</body>
</html>